跳转到内容

Auto-Captioner

集成

模型 id auto-caption
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/auto-caption?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.10 100 API 积分 在此页面运行

获取 API 密钥
Utility 视频转换 #captioning#video

为视频添加基于语音的字幕,可调整颜色、字体、大小和位置

Utility · 数据(JSON)

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 video_url
拖放文件,或

包含音频且小于 400 MB 的 .mp4 视频 URL。

高级 text_case · txt_color · txt_font · font_size · stroke_width · refresh_interval · left_align · top_align
text_case 默认 default

选择 'default' 保留语音识别生成的字幕大小写。要更改大小写,请选择 'upper' 使用大写文本,或选择 'lower' 使用小写文本。

默认 white

使用十六进制表示法、RGB 元组或颜色名称设置文本颜色。

默认 Standard

使用指向 .ttf 文件的 URL 或内置字体设置字幕字体:'Arial'、'Standard'、'Garamond'、'Times New Roman' 或 'Georgia'。

默认 24

生成字幕的文本大小。

默认 1

文本描边粗细,单位为像素。

默认 1.5

控制字幕在显示区间内同时显示的文本量,单位为秒:字幕保持显示的时间越长,同时显示的文本越多。

默认 center

使用 0.0 到 1.0 之间的浮点数水平对齐文本,或选择命名位置 'left'、'center' 或 'right'。

默认 center

使用 0.0 到 1.0 之间的浮点数垂直对齐文本,或选择命名位置 'top'、'center' 或 'bottom'。

POST /run/auto-caption?wait=20 报价 → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/auto-caption?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Auto-Captioner

转录 .mp4 `video_url`(小于 400MB)中的音频,并将字幕烧录到视频中。使用 `txt_color`、`txt_font`、`font_size`、`stroke_width` 和 `text_case` 设置样式。使用 `left_align` 和 `top_align` 设置位置。`refresh_interval` 为 0.5 到 3 秒,用于设置字幕在屏幕上停留的时间。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
video_url必填 video
类型url · video
包含音频且小于 400 MB 的 .mp4 视频 URL。
txt_color可选
类型string
默认值white
使用十六进制表示法、RGB 元组或颜色名称设置文本颜色。
txt_font可选
类型string
默认值Standard
使用指向 .ttf 文件的 URL 或内置字体设置字幕字体:'Arial'、'Standard'、'Garamond'、'Times New Roman' 或 'Georgia'。
font_size可选
类型integer
默认值24
生成字幕的文本大小。
stroke_width可选
类型integer
默认值1
文本描边粗细,单位为像素。
left_align可选
类型string | number
默认值center
使用 0.0 到 1.0 之间的浮点数水平对齐文本,或选择命名位置 'left'、'center' 或 'right'。
top_align可选
类型string | number
默认值center
使用 0.0 到 1.0 之间的浮点数垂直对齐文本,或选择命名位置 'top'、'center' 或 'bottom'。
refresh_interval可选
类型number
默认值1.5
0.5 – 3
控制字幕在显示区间内同时显示的文本量,单位为秒:字幕保持显示的时间越长,同时显示的文本越多。
text_case可选
类型enum
默认值default
defaultupperlower
选择 'default' 保留语音识别生成的字幕大小写。要更改大小写,请选择 'upper' 使用大写文本,或选择 'lower' 使用小写文本。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "auto-caption",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video_url
string (video URL)指向带字幕 .mp4 视频的 URL。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/auto-caption.md. 所有模型和指南: https://doitong.com/developers/llms.txt